| AAX SDK 2.8.0 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members
AAX_IACFViewContainer Class Referenceabstract

`#include <AAX_IACFViewContainer.h>`

Inheritance diagram for AAX_IACFViewContainer:
[legend]
Collaboration diagram for AAX_IACFViewContainer:
[legend]

## Description

Interface for the AAX host's view of a single instance of an effect. Used by both clients of the host app and by effect components.

See also
  AAX_IViewContainer

## Public Member Functions
View and GUI state queries
virtual int32_t | GetType ()=0
| Returns the raw view type as one of AAX_EViewContainer_Type.
virtual void * | GetPtr ()=0
| Returns a pointer to the raw view.
virtual AAX_Result | GetModifiers (uint32_t *outModifiers)=0
| Queries the host for the current modifier keys.
View change requests
virtual AAX_Result | SetViewSize (AAX_Point &inSize)=0
| Request a change to the main view size.
Host event handlers
virtual AAX_Result | HandleParameterMouseDown (AAX_CParamID inParamID, uint32_t inModifiers)=0
| Alert the host to a mouse down event.
virtual AAX_Result | HandleParameterMouseDrag (AAX_CParamID inParamID, uint32_t inModifiers)=0
| Alert the host to a mouse drag event.
virtual AAX_Result | HandleParameterMouseUp (AAX_CParamID inParamID, uint32_t inModifiers)=0
| Alert the host to a mouse up event.
Public Member Functions inherited from IACFUnknown
virtual BEGIN_ACFINTERFACE ACFRESULT ACFMETHODCALLTYPE | QueryInterface (const acfIID &iid, void **ppOut)=0
| Returns pointers to supported interfaces.
virtual acfUInt32 ACFMETHODCALLTYPE | AddRef (void)=0
| Increments reference count.
virtual acfUInt32 ACFMETHODCALLTYPE | Release (void)=0
| Decrements reference count.

## Member Function Documentation

## ◆ GetType()

virtual int32_t AAX_IACFViewContainer::GetType | ( |  | ) |
| pure virtual

Returns the raw view type as one of AAX_EViewContainer_Type.

## ◆ GetPtr()

virtual void * AAX_IACFViewContainer::GetPtr | ( |  | ) |
| pure virtual

Returns a pointer to the raw view.

## ◆ GetModifiers()

virtual AAX_Result AAX_IACFViewContainer::GetModifiers | ( | uint32_t * | outModifiers | ) |
| pure virtual

Queries the host for the current modifier keys.

This method returns a bit mask with bits set for each of the currently active modifier keys. This method does not return the state of the AAX_eModifiers_SecondaryButton.

Host Compatibility Notes:
  Although this method allows plug-ins to acquire the current state of the Windows key (normally blocked by Pro Tools), plug-ins should not use key combinations that require this key.

Parameters

  [out] | outModifiers | Current modifiers as a bitmask of AAX_EModifiers

## ◆ SetViewSize()

virtual AAX_Result AAX_IACFViewContainer::SetViewSize | ( | AAX_Point & | inSize | ) |
| pure virtual

Request a change to the main view size.

Note
  - For compatibility with the smallest supported displays, plug-in GUI dimensions should not exceed 749x617 pixels, or 749x565 pixels for plug-ins with sidechain support.

Parameters

  [in] | inSize | The new size to which the plug-in view should be set

## ◆ HandleParameterMouseDown()

virtual AAX_Result AAX_IACFViewContainer::HandleParameterMouseDown | ( | AAX_CParamID | inParamID,
|  | uint32_t | inModifiers
| ) |  |
| pure virtual

Alert the host to a mouse down event.

Parameters

  [in] | inParamID | ID of the parameter whose control is being edited
  [in] | inModifiers | A bitmask of AAX_EModifiers values

## ◆ HandleParameterMouseDrag()

virtual AAX_Result AAX_IACFViewContainer::HandleParameterMouseDrag | ( | AAX_CParamID | inParamID,
|  | uint32_t | inModifiers
| ) |  |
| pure virtual

Alert the host to a mouse drag event.

Warning
  The host may return AAX_ERROR_UNIMPLEMENTED for this event even if the host did handle the corresponding mouse down event. A plug-in should ignore any following mouse drag and mouse up events that correspond to a host-managed mouse down event. (PTSW-195209 / PT-218474)

Parameters

  [in] | inParamID | ID of the parameter whose control is being edited
  [in] | inModifiers | A bitmask of AAX_EModifiers values

## ◆ HandleParameterMouseUp()

virtual AAX_Result AAX_IACFViewContainer::HandleParameterMouseUp | ( | AAX_CParamID | inParamID,
|  | uint32_t | inModifiers
| ) |  |
| pure virtual

Alert the host to a mouse up event.

Warning
  The host may return AAX_ERROR_UNIMPLEMENTED for this event even if the host did handle the corresponding mouse down event. A plug-in should ignore any following mouse drag and mouse up events that correspond to a host-managed mouse down event. (PTSW-195209 / PT-218474)

Parameters

  [in] | inParamID | ID of the parameter whose control is being edited
  [in] | inModifiers | A bitmask of AAX_EModifiers values

The documentation for this class was generated from the following file:

- AAX_IACFViewContainer.h